import { withInstall, withNoopInstall } from "../../utils/vue/install.mjs";
import option_default from "./src/option2.mjs";
import option_group_default from "./src/option-group.mjs";
import select_default from "./src/select2.mjs";
const ElSelect = withInstall(select_default, {
  Option: option_default,
  OptionGroup: option_group_default
});
const ElOption = withNoopInstall(option_default);
const ElOptionGroup = withNoopInstall(option_group_default);
export {
  ElOption,
  ElOptionGroup,
  ElSelect,
  ElSelect as default
};
